"use strict";

exports.__esModule = true;
exports.default = void 0;

var _createRuleBlock = _interopRequireDefault(require("./createRuleBlock"));

var _styleResolver = _interopRequireDefault(require("./styleResolver"));

var _constants = require("./constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Copyright (c) 2016-present, Nicolas Gallagher.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */
var css = {
  create: function create(rules) {
    var result = {};
    Object.keys(rules).forEach(function (key) {
      var rule = rules[key];

      if (rule.font && rule.font.indexOf('System') > -1) {
        rule.font = rule.font.replace('System', _constants.systemFontStack);
      }

      if (rule.fontFamily === 'System') {
        rule.fontFamily = _constants.systemFontStack;
      }

      var cssRule = (0, _createRuleBlock.default)(rule);

      var className = _styleResolver.default.styleSheetManager.injectRule(key, cssRule);

      result[key] = className;
    });
    return result;
  }
};
var _default = css;
exports.default = _default;
module.exports = exports.default;