/**
 * Copyright (c) 2016-present, Nicolas Gallagher.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */
import createRuleBlock from './createRuleBlock';
import styleResolver from './styleResolver';
import { systemFontStack } from './constants';
var css = {
  create: function create(rules) {
    var result = {};
    Object.keys(rules).forEach(function (key) {
      var rule = rules[key];

      if (rule.font && rule.font.indexOf('System') > -1) {
        rule.font = rule.font.replace('System', systemFontStack);
      }

      if (rule.fontFamily === 'System') {
        rule.fontFamily = systemFontStack;
      }

      var cssRule = createRuleBlock(rule);
      var className = styleResolver.styleSheetManager.injectRule(key, cssRule);
      result[key] = className;
    });
    return result;
  }
};
export default css;